<div class="body">
  <div class="register">
    <div class="logo" data-aos="zoom-out" data-aos-duration="500">
      <p>اتحاد زیست شناسان</p>
    </div>
    <div class="main" data-aos="zoom-out" data-aos-duration="500">
      <app-main
        (doRegister)="register($event)"
        [registerError]="registerError"
      ></app-main>
    </div>
    <div
      class="union"
      *ngIf="role == '3bd2452a-c1d4-4638-8946-d3fd0e8edc83'"
      data-aos="zoom-out"
      data-aos-duration="500"
    >
      <app-union-register
        (goToMainRegister)="goToMainRegister($event)"
        (getUnionDetail)="getUnionDetail($event)"
      ></app-union-register>
    </div>
    <div
      class="professor"
      *ngIf="role == '31f8313f-3f9c-47a1-9127-1eb0c6e28396'"
      data-aos="zoom-out"
      data-aos-duration="500"
    >
      <app-professor-register
        (goToMainRegister)="goToMainRegister($event)"
        (getProfessorDetail)="getProfessorDetail($event)"
      ></app-professor-register>
    </div>
    <div
      class="user"
      *ngIf="role == 'a820aef8-fb66-4e0b-8021-741a045f8c1e'"
      data-aos="zoom-out"
      data-aos-duration="500"
    >
      <app-user-register
        (goToMainRegister)="goToMainRegister($event)"
        (getUserDetail)="getUserDetail($event)"
      ></app-user-register>
    </div>
    <div
      class="startup"
      *ngIf="role == '7e9c1771-353c-474e-8ff8-deaaa3514e7e'"
      data-aos="zoom-out"
      data-aos-duration="500"
    >
      <app-startup-register
        (goToMainRegister)="goToMainRegister($event)"
        (getStartupDetail)="getStartupDetail($event)"
      ></app-startup-register>
    </div>
  </div>
</div>
